#!/usr/bin/env python
import pygtk
pygtk.require('2.0')
import gtk, gtk.glade, os, sys

class quickstart:
	def __init__(self):
		xml = gtk.glade.XML('quickstart.glade')
		dialog = xml.get_widget('dialog')
		def dialog_close(self):
			dialog.hide()
		def dialog_open(self, widget):
			dialog.show()
		def prefs(self):
			os.popen('cd ../ && python entertainer-preferences.py')
		def cmanage(self):
			os.popen('cd ../ && python entertainer-content-management.py')
		def backend(self):
			v1 = os.popen('ps -A > /tmp/backendtest && grep Back /tmp/backendtest').read()
			if v1 == '':
				os.system('./run.sh -b')
			else:
				dialog_open(self, dialog)
		def frontend(self):
			pid = os.getpid()
			pid = str(pid)
			os.system('sh run.sh -f '+pid+'')
			sys.exit()
		#def guide(self):
			#os.popen('xdg-open ../../docs/quickstart-guide.pdf')
			#sys.exit()
		def logviewer(self):
			os.popen('cd ../ && python entertainer-log-viewer.py')
		def restart(self):
			dialog.hide()
			os.popen('killall EntertainerBack')
			os.system('./run.sh -b')
		def quit(self, data=None):
			gtk.main_quit()	
		dic = { "prefs" : prefs,
			"cmanage" : cmanage,
			"backend" : backend,
			"frontend" : frontend,
			#"guide" : guide,
			"quit" : quit,
			"dialog_close" : dialog_close,
			"restart" : restart,
			"logviewer" : logviewer }
		xml.signal_autoconnect(dic)
		window = xml.get_widget('window')
		window.connect('delete-event', quit)	
quickstart()
gtk.main()
